LifecycleObject (Mule ESB 2.2.1 API)
Keywords: org.mule.lifecycle.LifecycleObject class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.lifecycle
Class LifecycleObject

    java.lang.Object
      org.mule.lifecycle.LifecycleObject

Direct Known Subclasses:
  NotificationLifecycleObject

    public class LifecycleObject

extends Object

Constructor Summary
`LifecycleObject(Class type)`

Method Summary
`void` | `firePostNotification(MuleContext context)`
`void` | `firePreNotification(MuleContext context)`
`ServerNotification` | `getPostNotification()`
`ServerNotification` | `getPreNotification()`
`Class` | `getType()`
`void` | `setPostNotification(ServerNotification postNotification)`
`void` | `setPreNotification(ServerNotification preNotification)`
`void` | `setType(Class type)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LifecycleObject

    public LifecycleObject(Class type)

Method Detail

### getPostNotification

    public ServerNotification getPostNotification()

### setPostNotification

    public void setPostNotification(ServerNotification postNotification)

### getPreNotification

    public ServerNotification getPreNotification()

### setPreNotification

    public void setPreNotification(ServerNotification preNotification)

### getType

    public Class getType()

### setType

    public void setType(Class type)

### firePreNotification

    public void firePreNotification(MuleContext context)

### firePostNotification

    public void firePostNotification(MuleContext context)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.